# coding: utf-8

"""
    FastAPI

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 0.1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from openapi_client.models.data_user_create import DataUserCreate

class TestDataUserCreate(unittest.TestCase):
    """DataUserCreate unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> DataUserCreate:
        """Test DataUserCreate
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `DataUserCreate`
        """
        model = DataUserCreate()
        if include_optional:
            return DataUserCreate(
                id = '5eb7cf5a86d9755df3a6c593',
                username = '',
                username_source = 'cua',
                provider_id = '5eb7cf5a86d9755df3a6c593',
                user_id = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                relationships = [
                    '5eb7cf5a86d9755df3a6c593'
                    ],
                password = '',
                role = 'user',
                public_key = ''
            )
        else:
            return DataUserCreate(
                username = '',
                username_source = 'cua',
                provider_id = '5eb7cf5a86d9755df3a6c593',
        )
        """

    def testDataUserCreate(self):
        """Test DataUserCreate"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
